Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.describecoverage
Class DomainSet

    java.lang.Object
      org.deegree.ogcwebservices.wcs.describecoverage.DomainSet

All Implemented Interfaces:
  Cloneable

    public class DomainSet

extends Object
implements Cloneable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`DomainSet(SpatialDomain spatialDomain)`
`DomainSet(SpatialDomain spatialDomain, TimeSequence timeSequence)`
`DomainSet(TimeSequence timeSequence)`

Method Summary
`Object` | `clone()`
`SpatialDomain` | `getSpatialDomain()`
`TimeSequence` | `getTimeSequence()`
`void` | `setSpatialDomain(SpatialDomain spatialDomain)`
`void` | `setTimeSequence(TimeSequence timeSequence)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainSet

    public DomainSet(SpatialDomain spatialDomain)
              throws WCSException

Parameters:
  `spatialDomain` -
Throws:
  `WCSException`

### DomainSet

    public DomainSet(TimeSequence timeSequence)
              throws WCSException

Parameters:
  `timeSequence` -
Throws:
  `WCSException`

### DomainSet

    public DomainSet(SpatialDomain spatialDomain,
                     TimeSequence timeSequence)
              throws WCSException

Parameters:
  `spatialDomain` -
  `timeSequence` -
Throws:
  `WCSException`

Method Detail

### getSpatialDomain

    public SpatialDomain getSpatialDomain()

  Returns:
    Returns the spatialDomain.

### setSpatialDomain

    public void setSpatialDomain(SpatialDomain spatialDomain)
                          throws WCSException

  Parameters:
    `spatialDomain` - The spatialDomain to set.
  Throws:
    `WCSException`

### getTimeSequence

    public TimeSequence getTimeSequence()

  Returns:
    Returns the timeSequence.

### setTimeSequence

    public void setTimeSequence(TimeSequence timeSequence)
                         throws WCSException

  Parameters:
    `timeSequence` - The timeSequence to set.
  Throws:
    `WCSException`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org